<template>
    <section>
        <header>
            <h1 id="title">Answer the following questions</h1>
        </header>
        <div id="loader" v-if="!question">Loading questions...</div>
        <article v-if="question" id="content">
            <p id="category">{{question.category}}</p>
            <h1 id="question">{{question.question}}</h1>
            <div v-for="(answer, i) in question.possibleAnswers"
                 v-bind:item="answer" v-bind:index="i" v-bind:key="i">
                <button class="btn btn-primary optionButton"
                        v-on:click="() => submitAnswer(answer)">{{answer}}</button>
            </div>
        </article>
    </section>
</template>

<script>
    import Question from '../scripts/Question';
    export default {
        name: "QuizQuestion",
        props: {
            question: Question
        },
        methods: {
            submitAnswer: function (answer) {
                this.$emit('clickAnswer', answer);
            }
        }
    }
</script>

<style scoped lang="scss">
    #title {
        color: #FFF;
    }
    #category {
        color: #FFF;
        background-color: #333;
        display: table;
        margin: 20px auto 10px auto;
        padding: 2px;
    }
    #question {
        font-size: 30px;
        margin-left: 30px;
        margin-right: 30px;
    }
    #content {
        background-color: linen;
        display: table;
        margin: auto;
        border: 10px solid #DFDFDF;
        width: 700px;
        min-height: 300px;
        border-radius: 10px;
    }
    .optionButton {
        display: block;
        margin: 10px auto 10px auto;
        font-size: 25px;
    }
    #loader {
        color: #FFF;
        font-size: 30px;
    }
</style>